import request from '@/config/axios'

// 新闻类型 VO
export interface NewsTypeVO {
  id: number // 主键ID
  typeName: string // 类型名称
}

// 新闻类型 API
export const NewsTypeApi = {
  // 查询新闻类型分页
  getNewsTypePage: async (params: any) => {
    return await request.get({ url: `/portal/news-type/page`, params })
  },

  // 查询新闻类型详情
  getNewsType: async (id: number) => {
    return await request.get({ url: `/portal/news-type/get?id=` + id })
  },

  // 新增新闻类型
  createNewsType: async (data: NewsTypeVO) => {
    return await request.post({ url: `/portal/news-type/create`, data })
  },

  // 修改新闻类型
  updateNewsType: async (data: NewsTypeVO) => {
    return await request.put({ url: `/portal/news-type/update`, data })
  },

  // 删除新闻类型
  deleteNewsType: async (id: number) => {
    return await request.delete({ url: `/portal/news-type/delete?id=` + id })
  },

  // 导出新闻类型 Excel
  exportNewsType: async (params) => {
    return await request.download({ url: `/portal/news-type/export-excel`, params })
  }
}